## aspell 0.60.6

=== debian/changelog ===
aspell (0.60.6-4) unstable; urgency=low

  * Bumped Standards-Version to 3.8.4, no changes necessary

  * Document output format "-" for run-together in pipe mode, thanks Jörg
    Sommer <joerg@alea.gnuu.de> for the patch. (Closes: #499570)

  * Cleaned up patch headers to remove obsolete dpatch stuff

  * Updated debian/compat to v7

  * Added a manpage for prezip/preunzip/precat.

 -- Brian Nelson <pyro@debian.org>  Wed, 10 Mar 2010 21:18:01 -0500

aspell (0.60.6-3) unstable; urgency=low

  * Switched to dpkg-source 3.0 (quilt) format

  * No longer use dpatch

  * Cleared the dependency_libs= lines in the .la files

  * Bumped Standards-Version to 3.8.3, no changes necessary

  * Added a debian/watch file

 -- Brian Nelson <pyro@debian.org>  Thu, 21 Jan 2010 20:05:20 -0800

aspell (0.60.6-2) unstable; urgency=low

  * Applied a patch from Christer Andersson <klamm@comhem.se> to add a
    filter for DDTP emails. (Closes: #457274)

  * Increased debhelper compat to v7

  * debian/control: added ${misc:Depends} dependencies to each binary
    package

  * Bumped Standards-Version to 3.8.2, no changes necessary
 
  * Restored the html documenation to aspell-doc, which at some point had
    gotten accidentally dropped.

  * Made dh_makeshlibs ignore files in usr/lib/aspell to fix the
    unused-shlib-entry-in-control-file lintian warning

 -- Brian Nelson <pyro@debian.org>  Sat, 15 Aug 2009 13:32:26 -0400

aspell (0.60.6-1) unstable; urgency=low

  * New upstream release
    - Removed the 03_extra_qualification_fix.dpatch,
      05_removedebug_munchlist.dpatch, and 06_add_oo-only_texi.dpatch,
      patches as they've been incorporated upstream
    - debian/patches/04_gcc43_build_fix.dpatch: updated for integrated
      fixes

  * Bumped Standards-Version to 3.8.0, no changes necessary

 -- Brian Nelson <pyro@debian.org>  Tue, 24 Jun 2008 14:50:59 -0400

aspell (0.60.5-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Applied NMU patch by Thomas Viehmann <tv@beamnet.de> to
    - Regenerate html documentation removed by make distclean. Closes: #424107
    - Clean up autotools patch. Closes: #403076
    - Add missing oo-only.texi from upstream cvs.
  * Moved changes to filter.pot into a patch.
  * Moved homepage information to its own field in debian/control.
  * Bumped Standards-Version to 3.7.3, no change needed.
  * Replaced deprecated substvars notation by new one.
  * Replaced full GFDL by reference to /usr/share/common-licenses/GFDL in
    aspell-doc.copyright to fix lintian error message.

 -- Michael Meskes <meskes@debian.org>  Wed, 23 Apr 2008 11:52:08 +0200

aspell (0.60.5-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * Added additional gcc 4.3 build fixes (Closes: #452310)

 -- Michael Meskes <meskes@debian.org>  Sun, 06 Apr 2008 13:38:31 +0200

aspell (0.60.5-2) unstable; urgency=low

  * patches/04_gcc43_build_fix.dpatch: new patch to fix a (possible?) GCC
    4.3 build failure (Closes: #452310)

  * patches/05_removedebug_munchlist.dpatch: new patch from Roland
    Rosenfeld to fix invalid output in munch-list (Closes: #428285)

 -- Brian Nelson <pyro@debian.org>  Mon, 28 Jan 2008 09:29:19 -0500

aspell (0.60.5-1) unstable; urgency=low

  * New upstream release
    - Buggy '-m' option fixed (Closes: #400878)
    - Core dump with when (r)eplacing with 00 fixed (Closes: #347191)
    - Improper Tex filter handling of escaped % fixed (Closes: #347589)
    - Affix compression bug fixed (Closes: #340958)
  
  * Removed debian/patches/03_extra_qualification_fix.dpatch, incorporated
    upstream

  * debian/patches/10_autotools.dpatch: regenerated

  * debian/control: dropped the libaspell15c2 dummy package, as nothing in
    the archive depends on it any more

 -- Brian Nelson <pyro@debian.org>  Sat, 17 Feb 2007 20:59:32 -0500

aspell (0.60.4-4) unstable; urgency=low

  * debian/patches/03_extra_qualification_fix.dpatch: new patch to fix a
    FTBFS with GCC 4.1.  Thanks to Martin Michlmayr <tbm@cyrius.com> for
    the patch. (Closes: #356444)

  * Updated to standards version 3.7.2

 -- Brian Nelson <pyro@debian.org>  Sat, 13 May 2006 15:25:15 -0700

aspell (0.60.4-3) unstable; urgency=low

  * debian/aspell.manpages: added manual/prezip-bin.1

  * debian/rules: removed the -D argument from the install command of
    debian/aspell.compat, since the destination directory already should
    exist anyway and having it mysteriously breaks some builds (namely
    ia64 at the moment).

 -- Brian Nelson <pyro@debian.org>  Fri, 20 Jan 2006 12:26:37 -0800

aspell (0.60.4-2) unstable; urgency=low

  * Rebuilding, which should fix segfaults due to C++ ABI changes
    (Closes: #343060)

  * Renamed debian/aspell.overrides to debian/aspell.lintian, and modified
    debian/rules to install it

  * Updated FSF address in the copyright files

  * debian/aspell.lintian: added "aspell:
    package-has-a-duplicate-relation"

  * debian/patches/02_u-deva_common_data.dpatch: new patch to add
    u-deva.cset and u-deva.cmap data files, needed by aspell-hi and
    aspell-mr

  * debian/control: have aspell replace versions of aspell-hi and
    aspell-mr that contained the u-deva files

 -- Brian Nelson <pyro@debian.org>  Mon,  2 Jan 2006 20:57:57 -0800

aspell (0.60.4-1) unstable; urgency=low

  * New upstream release

  * debian/patches/10_autotools: regenerated

 -- Brian Nelson <pyro@debian.org>  Tue, 25 Oct 2005 23:43:21 -0700

aspell (0.60.3-5) unstable; urgency=low

  * Moved the 01_autotools patch to 10_autotools

  * debian/patches/01_debctrl: wrote a patch for a Debian packaging
    control file filter (Closes: #111929)

  * debian/patches/10_autotools: reran autotools to update build system so
    that it builds the debctrl filter

  * Updated aspell.1 manual to document the new debctrl filter

 -- Brian Nelson <pyro@debian.org>  Mon,  1 Aug 2005 23:56:49 -0700

aspell (0.60.3-4) unstable; urgency=low

  * manual/aspell.1: removed a stray ')' character


