=== debian/control ===
Source: aspell
Section: text
Priority: optional
Maintainer: Brian Nelson <pyro@debian.org>
Build-Depends: debhelper (>= 7), libncursesw5-dev | libncurses-dev, cdbs (>= 0.4.0), texinfo
Standards-Version: 3.8.4
Homepage: http://aspell.net/

Package: aspell
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libaspell15 (= ${binary:Version}), dictionaries-common (>> 0.40)
Recommends: aspell-en | aspell-dictionary | aspell6a-dictionary
Suggests: aspell-doc, spellutils
Conflicts: aspell-bin (<< 0.60.3-2)
Replaces: aspell-bin (<< 0.60.3-2), aspell-hi (<= 0.01-1), aspell-mr (<= 0.10-1)
Provides: aspell-bin
Description: GNU Aspell spell-checker
 GNU Aspell is a spell-checker which can be used either as a standalone
 application or embedded in other programs.  Its main feature is that it
 does a much better job of suggesting possible spellings than just about
 any other spell-checker available for the English language, including
 Ispell and Microsoft Word.  It also has many other technical
 enhancements over Ispell such as using shared memory for dictionaries
 and intelligently handling personal dictionaries when more than one
 Aspell process is open at once.
 .
 Aspell is designed to be a drop-in replacement for Ispell.

Package: aspell-doc
Architecture: all
Depends: ${misc:Depends}
Section: doc
Suggests: aspell (>> 0.60)
Description: Documentation for GNU Aspell spell-checker
 This package contains the documentation for GNU Aspell in various
 formats.  The aspell package comes with minimal man pages.  Install
 this package if you need further information on the development process
 and workings of Aspell.

Package: libaspell15
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: aspell6-dictionary, aspell-bin (<< 0.60.3-2)
Recommends: aspell-en | aspell-dictionary | aspell6a-dictionary
Suggests: aspell
Description: GNU Aspell spell-checker runtime library
 These are the runtime parts of the Aspell and pspell spell-checking
 toolkits, needed by applications that use the toolkits at runtime.
 .
 For a standalone spell-checker, install aspell as well.

Package: libaspell-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libaspell15 (= ${binary:Version})
Suggests: aspell-doc
Description: Development files for applications with GNU Aspell support
 This package contains the headers and static libraries for developing
 applications with Aspell spell-checking support.
 .
 You need this package ONLY if you plan to build applications that link
 against the Aspell libraries.  You do not have to install this package
 if all you want to do is use the Aspell program to spell-check
 documents.

Package: libpspell-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends}, libaspell15 (= ${binary:Version}), libaspell-dev
Replaces: aspell-bin (<< 0.50.3-3)
Suggests: aspell-doc
Description: Development files for applications with pspell support
 This package contains the headers and static libraries for developing
 applications with portable spell-checking interface (pspell) support.
 .
 You need this package ONLY if you plan to build applications that link
 against the pspell static libraries.  You do not have to install this
 package if all you want to do is use the Aspell program to spell-check.
