=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
#include /usr/share/cdbs/1/rules/patchsys-quilt.mk

DEB_DH_MAKESHLIBS_ARGS_ALL := -V'libaspell15 (>= 0.60)' -Xusr/lib/aspell

DEB_DH_INSTALL_SOURCEDIR := debian/tmp
DEB_INSTALL_CHANGELOGS_ALL := manual/aspell.html/ChangeLog.html
DEB_CONFIGURE_EXTRA_FLAGS := --enable-pkgdatadir=/usr/lib/aspell --enable-pkglibdir=/usr/lib/aspell

build/aspell-doc::
	make -C manual aspell.html aspell-dev.html

install/aspell::
	install -m644 debian/aspell.compat debian/aspell/usr/share/aspell/
	install -D -m644 debian/aspell.lintian debian/aspell/usr/share/lintian/overrides/aspell

install/aspell-doc::
	dh_install --sourcedir=manual -paspell-doc aspell.html usr/share/doc/aspell-doc/
	dh_install --sourcedir=manual -paspell-doc aspell-dev.html usr/share/doc/aspell-doc/

binary-install/libaspell15::
# The spell and ispell compatibility scripts don't belong in
# /usr/lib/aspell, dammit.
	rm -f debian/libaspell15/usr/lib/aspell/spell \
	      debian/libaspell15/usr/lib/aspell/ispell

# Empty the dependency_libs lines in the .la files
	sed -i "s,^dependency_libs=.*,dependency_libs=''," \
	   debian/libaspell15/usr/lib/aspell/*.la

binary-install/libaspell-dev::
binary-install/libpspell-dev::
	sed -i "s,^dependency_libs=.*,dependency_libs=''," \
	   debian/libaspell-dev/usr/lib/*.la \
	   debian/libpspell-dev/usr/lib/*.la
