=== debian/watch ===
version=3
ftp://ftp.gnu.org/gnu/aspell/aspell-(.*)\.tar\.gz
