## aspell 0.60.7~20110707

=== debian/changelog ===
aspell (0.60.7~20110707-4ubuntu0.2) bionic-security; urgency=medium

  * SECURITY UPDATE: Heap based buffer overflow
    - debian/patches/CVE-2019-25051.patch: assert that the alloc size will
      fit within a chunk to prevent a buffer overflow in common/objstack.hpp.
    - CVE-2019-25051

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Thu, 22 Jul 2021 15:28:23 -0300

aspell (0.60.7~20110707-4ubuntu0.1) bionic-security; urgency=medium

  * SECURITY UPDATE: Stack-based buffer over-read
    - debian/patches/CVE-2019-17544.patch: add checks
      in common/config.cpp, common/file_util.cpp,
      common/getdata.cpp.
    - CVE-2019-17544

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Tue, 15 Oct 2019 09:12:09 -0300

aspell (0.60.7~20110707-4) unstable; urgency=medium

  * Upstream patch to fix build failure with GCC 7. Thanks Steve Langasek
    and Matthias Klose (Closes: #853320).
  * Bump Standards-Version.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 22 Aug 2017 13:00:10 +0200

aspell (0.60.7~20110707-3) unstable; urgency=medium

  * Really upload to sid.

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 06 Mar 2015 18:38:42 +0100

aspell (0.60.7~20110707-2) experimental; urgency=medium

  * Upload to sid.
  * Bump Standards-Version. No changes required.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 26 Feb 2015 17:28:51 +0100

aspell (0.60.7~20110707-2~exp1) experimental; urgency=low

  [ Brian Nelson ]
  * Remove obsolete 10_autotools.diff patch

  [ Agustin Martin Domingo ]
  * Refresh quilt patches again. Did it wrongly with Index, basedir and
    timestamps.
  * control: Add myself to Uploaders.
  * 1000_fix-man-pages.diff: New patch to add minor fixes in some man
    pages. Thanks Bjarni Ingi Gislason
    (Closes: #662216, #663124, #664684).
  * Revert previous change and use "/usr/lib/aspell" again for dict and
    data dirs, preserving multiarch pkglibdir (Closes: #772415).

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 23 Feb 2015 18:19:51 +0100

aspell (0.60.7~20110707-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Break pre-multiarch arch:any aspell dictionaries.
    Their 64 bit versions will no longer work with new aspell package
    (Closes: #764189).
  * Refresh quilt patches to work around FTBFS. dpkg-source now fails
    on old format patches.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 06 Oct 2014 11:54:20 +0200

aspell (0.60.7~20110707-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Implement multiarch (Closes: #667592), (LP:#1324525, LP:#960160).
    This is only a partial multiarch implementation, where aspell hashes
    can be shared between 32/64 bit architectures with the same endianness
    (but not with different endiannesses) by always using 32bit numbers.
  * Some independent changes needed for multiarch:
    - 08_filters-info-installdir.diff: Make sure all filters related stuff
      is installed together. This should make possible to have different
      values for "pkgdatadir" and "pkglibdir" selections, thus really
      fixing (Closes: #612051).
    - Force aspell hash function to use a 32-bit integer to allow
      hashes being shared between 32 and 64 bit architectures. Note that
      they cannot be shared between systems with different endianness.
    - Modify to use "/usr/share/aspell" for arch indep stuff, except
      filters and dict description files. Change aspell compat level.
    - 09_debian-dictdir.diff: Implement a new debian specific
      "--debian-dict-dir" configure option to allow explicitly setting an
      independent path for dictionaries.
    - debian/rules: Make sure original Changelog.html is installed. It
      gets rebuilt later and may lead to problems with multiarch if
      different makeinfo versions are used in different architectures.
  * debian/control: Canonicalize Vcs-* headers.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 29 Sep 2014 12:04:58 +0200

aspell (0.60.7~20110707-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Mauricio Faria de Oliveira ]
  * Build with autoreconf. (Closes: #745075)
  * Disable 10_autotools.patch (no longer required due to the change
    above).

 -- Manuel A. Fernandez Montecelo <mafm@debian.org>  Thu, 07 Aug 2014 20:53:30 +0100

aspell (0.60.7~20110707-1) unstable; urgency=low

  * New upstream snapshot 0.60.7-20110707
    - Removed 06_null_input_segfault_fix and 11_special_chars patches as
      they've been applied upstream
    - Fixes unexpected Ctrl-C quits program (Closes: #600214)
    - Partial support for recognizing the Unicode apostrophe
      (Closes: #533378)
  * Updated policy to 3.9.2, no changes necessary

 -- Brian Nelson <pyro@debian.org>  Thu, 28 Jul 2011 23:27:13 -0400

aspell (0.60.6-6) unstable; urgency=low

  * Removed the debian-changes-0.60.6-5 patch which was accidentally
    introduced.
  * Reverted the pkgdatadir change since it breaks filters.  The spell and
    ispell scripts will just be left in /usr/lib/aspell, which is a
    retarded place for them but, eh, it's just not worth fighting the
    aspell build system over it.  (Closes: #612051)

 -- Brian Nelson <pyro@debian.org>  Sat, 05 Feb 2011 09:48:49 -0500

aspell (0.60.6-5) unstable; urgency=low

  * Added a grammatical fix for aspell.1 to 05_doc_fix.diff
    (Closes: #576749)
  * debian/control: added Vcs fields for git repository
  * Added new patch 06_null_input_segfault_fix.diff
    (Closes: #596642)
  * debian/rules: changed pkgdatadir to /usr/share/aspell which is a more
    appropriate location for that data than /usr/lib/aspell, and leave the
    spell and ispell scripts there so that run-with-aspell works
    (Closes: #599653)
  * Added new patch 11_special_chars.diff from Ubuntu to support German
    umlauts (Closes: #591355)
  * Updated to policy version 3.9.1
    - Converted some "Conflicts:" to "Breaks:"
  * debian/watch: corrected to not match bogus .tar.gz files


