=== debian/control ===
--- 
+++ 
@@ -1,18 +1,35 @@
 Source: aspell
 Section: text
 Priority: optional
-Maintainer: Brian Nelson <pyro@debian.org>
-Build-Depends: debhelper (>= 7), libncursesw5-dev | libncurses-dev, cdbs (>= 0.4.0), texinfo
-Standards-Version: 3.8.4
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Brian Nelson <pyro@debian.org>
+Uploaders: Agustin Martin Domingo <agmartin@debian.org>
+Build-Depends: debhelper (>= 9),
+	       libncursesw5-dev | libncurses-dev,
+	       cdbs (>= 0.4.0),
+	       texinfo,
+	       dh-autoreconf,
+	       autopoint,
+	       autotools-dev
+Standards-Version: 4.0.0
+Vcs-Git: git://anonscm.debian.org/collab-maint/aspell
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/aspell.git
 Homepage: http://aspell.net/
 
 Package: aspell
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libaspell15 (= ${binary:Version}), dictionaries-common (>> 0.40)
+Multi-Arch: foreign
+Depends: ${shlibs:Depends},
+	 ${misc:Depends},
+	 libaspell15 (= ${binary:Version}),
+	 dictionaries-common (>> 0.40)
 Recommends: aspell-en | aspell-dictionary | aspell6a-dictionary
-Suggests: aspell-doc, spellutils
-Conflicts: aspell-bin (<< 0.60.3-2)
-Replaces: aspell-bin (<< 0.60.3-2), aspell-hi (<= 0.01-1), aspell-mr (<= 0.10-1)
+Suggests: aspell-doc,
+	  spellutils
+Breaks: aspell-bin (<< 0.60.3-2)
+Replaces: aspell-bin (<< 0.60.3-2),
+	  aspell-hi (<= 0.01-1),
+	  aspell-mr (<= 0.10-1)
 Provides: aspell-bin
 Description: GNU Aspell spell-checker
  GNU Aspell is a spell-checker which can be used either as a standalone
@@ -28,6 +45,7 @@
 
 Package: aspell-doc
 Architecture: all
+Multi-Arch: foreign
 Depends: ${misc:Depends}
 Section: doc
 Suggests: aspell (>> 0.60)
@@ -39,9 +57,15 @@
 
 Package: libaspell15
 Architecture: any
+Multi-Arch: same
 Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: aspell6-dictionary, aspell-bin (<< 0.60.3-2)
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends},
+	 ${misc:Depends}
+Conflicts: aspell6-dictionary
+Breaks: aspell-bin (<< 0.60.3-2),
+	aspell-da (<= 1.6.25-1.1),
+	aspell-no (<= 2.0.10-5.1)
 Recommends: aspell-en | aspell-dictionary | aspell6a-dictionary
 Suggests: aspell
 Description: GNU Aspell spell-checker runtime library
@@ -52,8 +76,11 @@
 
 Package: libaspell-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
-Depends: ${misc:Depends}, libaspell15 (= ${binary:Version})
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends},
+	 libaspell15 (= ${binary:Version})
 Suggests: aspell-doc
 Description: Development files for applications with GNU Aspell support
  This package contains the headers and static libraries for developing
@@ -66,8 +93,12 @@
 
 Package: libpspell-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
-Depends: ${misc:Depends}, libaspell15 (= ${binary:Version}), libaspell-dev
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends},
+	 libaspell15 (= ${binary:Version}),
+	 libaspell-dev
 Replaces: aspell-bin (<< 0.50.3-3)
 Suggests: aspell-doc
 Description: Development files for applications with pspell support
