## aspell 0.60.7~20110707.2

=== debian/changelog ===
aspell (0.60.7~20110707.2-1+dde) unstable; urgency=medium

  * update

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 09 Aug 2021 16:23:15 +0800

aspell (0.60.7~20110707.1-1+dde) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Convert from cdbs to dh.

  [ Agustin Martin Domingo ]
  * Remove Brian Nelson from uploaders list  (Closes: #915448).
  * Ship text version of upstream changelog in doc dir.
  * Make aspell copyright DEP5.
  * Register html docs with doc-base.
  * Enable hardening flags in debian/rules.
  * Fix some typos in 1000_fix-man-pages.diff description.
  * Fix another typo in aspell man page.
  * aspell.postinst:
    - Add explicit 'set -e' line.
    - Do not hardcode aspell-autobuildhash path in test.
  * debian/control: Bump Standards-Version.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 31 Jan 2019 11:25:50 +0100

aspell (0.60.7~20110707-5) unstable; urgency=medium

  * debian/control:
    - Update Vcs-Browser and Vcs-Git for salsa migration.
    - Bump Standards-Version. No changes required.
  * Bump debhelper compat level to 10 (cdbs does not yet support 11).
  * debian/copyright: Point to specific LGPL-2 file.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 09 May 2018 12:29:22 +0200
