## aspell 0.60.7

=== debian/changelog ===
aspell (0.60.7-3ubuntu0.1) eoan-security; urgency=medium

  * SECURITY UPDATE: Stack-based buffer over-read
    - debian/patches/CVE-2019-17544.patch: add checks
      in common/config.cpp, common/file_util.cpp,
      common/getdata.cpp.
    - CVE-2019-17544

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Fri, 18 Oct 2019 09:42:30 -0300

aspell (0.60.7-3) unstable; urgency=medium

  * Upload to sid.
  * Use debhelper-compat Build-Dep. Bump compat level to 12.

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 06 Sep 2019 11:52:20 +0200

aspell (0.60.7-2) experimental; urgency=medium

  * debian/rules: Make sure everything is regenerated after applying
    upstream fix for potentially unbounded buffer over-read. Thanks Kevin
    Atkinson.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 29 Aug 2019 10:08:08 +0200

aspell (0.60.7-1) experimental; urgency=medium

  * New upstream version (Closes: #934810).
  * Add upstream fix to deal with potentially unbounded buffer over-read
    in GNU Aspell 0.60.* (Closes: #935128).
  * Add upstream patch to raise library version. Modify shlibs stuff
    accordingly.
  * Add upstream gpg key and make uscan check it.
  * debian/control: Bump Standards-Version. No changes required.
  * debian/watch:
    - Use https source and raise version to 4.
    - Use generic substitution variables.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 28 Aug 2019 13:06:26 +0200

aspell (0.60.7~20110707-6) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Convert from cdbs to dh.

  [ Agustin Martin Domingo ]
  * Remove Brian Nelson from uploaders list  (Closes: #915448).
  * Ship text version of upstream changelog in doc dir.
  * Make aspell copyright DEP5.
  * Register html docs with doc-base.
  * Enable hardening flags in debian/rules.
  * Fix some typos in 1000_fix-man-pages.diff description.
  * Fix another typo in aspell man page.
  * aspell.postinst:
    - Add explicit 'set -e' line.
    - Do not hardcode aspell-autobuildhash path in test.
  * debian/control: Bump Standards-Version.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 31 Jan 2019 11:25:50 +0100
