## aspell 0.60.8

=== debian/changelog ===
aspell (0.60.8-4build1) jammy; urgency=medium

  * No-change rebuild for ppc64el baseline bump.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 23 Mar 2022 10:41:10 +0100

aspell (0.60.8-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on dpkg-dev.
    + aspell: Drop versioned constraint on dictionaries-common in Depends.
    + aspell: Drop versioned constraint on aspell-hi and aspell-mr in Replaces.
    + aspell-doc: Drop versioned constraint on aspell in Suggests.
    + libaspell15: Drop versioned constraint on aspell-da and aspell-no in
      Breaks.

  [ Agustin Martin Domingo ]
  * Update lintian overrides.
  * debian/control:
    - Add Rules-Requires-Root: no
    - Bump Standards-Version. No changes required.
    - Bump debhelper-compat to 13.
  * debian/upstream/metadata: Add Bug-Database.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 28 Sep 2021 23:55:53 +0200

aspell (0.60.8-3) unstable; urgency=medium

  * 000-objstack-assert-that-the-alloc-size-will-fit-within-.patch:
    Fix CVE-2019-25051: objstack in GNU Aspell 0.60.8 has a heap-based
    buffer overflow (Closes: #991307).

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 20 Jul 2021 23:42:34 +0200

aspell (0.60.8-2) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Wrap long lines in changelog entries: 0.33.7-2, 0.28.2.1-2.
  * Update standards version to 4.5.0, no changes needed.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 28 Dec 2020 15:24:45 +0100

aspell (0.60.8-1) unstable; urgency=medium

  * New upstream release.
    - Includes sorting of personal and replace files (Closes: #900162).
    - Adapt old patches to new release.
    - Remove no longer needed patches:
      + 05_doc_fix.diff
      + 1000_fix-man-pages.diff
      + 1001_fix-more-man-pages.diff
      + 2001-Don-t-allow-null-terminated-UCS-2-4-strings-using-th.patch
      + 2002-Increment-library-version-to-reflect-API-changes.patch
  * debian/control: Bump Standards-version. No changes required.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 22 Oct 2019 12:14:04 +0200
