=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: aspell
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Agustin Martin Domingo <agmartin@debian.org>
+Maintainer: Agustin Martin Domingo <agmartin@debian.org>
 Section: text
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
-	       dpkg-dev (>= 1.16.1~),
+Build-Depends: debhelper-compat (= 13),
                libncursesw5-dev | libncurses-dev,
                texinfo,
                autopoint,
 	       lynx
-Standards-Version: 4.4.0
+Standards-Version: 4.6.0.1
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/aspell
 Vcs-Git: https://salsa.debian.org/debian/aspell.git
 Homepage: http://aspell.net/
@@ -20,15 +19,13 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          libaspell15 (= ${binary:Version}),
-         dictionaries-common (>> 0.40)
+         dictionaries-common
 Recommends: aspell-en | aspell-dictionary | aspell6a-dictionary
 Suggests: aspell-doc,
           spellutils
 Breaks: aspell-bin (<< 0.60.3-2)
 Provides: aspell-bin
-Replaces: aspell-bin (<< 0.60.3-2),
-          aspell-hi (<= 0.01-1),
-          aspell-mr (<= 0.10-1)
+Replaces: aspell-bin (<< 0.60.3-2)
 Description: GNU Aspell spell-checker
  GNU Aspell is a spell-checker which can be used either as a standalone
  application or embedded in other programs.  Its main feature is that it
@@ -46,7 +43,7 @@
 Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends}
-Suggests: aspell (>> 0.60)
+Suggests: aspell
 Description: Documentation for GNU Aspell spell-checker
  This package contains the documentation for GNU Aspell in various
  formats.  The aspell package comes with minimal man pages.  Install
@@ -62,9 +59,7 @@
 Recommends: aspell-en | aspell-dictionary | aspell6a-dictionary
 Suggests: aspell
 Pre-Depends: ${misc:Pre-Depends}
-Breaks: aspell-bin (<< 0.60.3-2),
-        aspell-da (<= 1.6.25-1.1),
-        aspell-no (<= 2.0.10-5.1)
+Breaks: aspell-bin (<< 0.60.3-2)
 Conflicts: aspell6-dictionary
 Description: GNU Aspell spell-checker runtime library
  These are the runtime parts of the Aspell and pspell spell-checking
