=== debian/watch ===
version: 5

Source: https://ftp.gnu.org/gnu/aspell/
Matching-Pattern: @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
Pgp-Mode: auto
