=== debian/changelog ===
aspell (0.60.8.2-3) unstable; urgency=medium

  * debian/tests/control: Also depend on build-essential and
    libipc-system-simple-perl.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 03 Feb 2026 21:37:08 +0100

aspell (0.60.8.2-2) unstable; urgency=medium

  * debian/tests: Add autopkgtest testsuite based on upstream tests.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 03 Feb 2026 10:58:10 +0100

aspell (0.60.8.2-1) unstable; urgency=medium

  * New upstream version 0.60.8.2.
  * debian/gbp.conf: Add file with git-buildpackage defaults.
  * debian/patches/:
    - Remove patches applied upstream.
    - 01_debctrl_filter.diff: Refresh.
  * debian/control:
    - Remove redundant "Rules-Requires-Root: no".
    - debian/control: Remove redundant "Priority: optional".
    - Bump Standards-Version. No changes required.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 29 Jan 2026 04:20:27 +0100
